com.amazonaws.services.codecommit.model

## Class RepositoryNameIdPair

- java.lang.Object
- - com.amazonaws.services.codecommit.model.RepositoryNameIdPair

All Implemented Interfaces:
  Serializable, Cloneable

    public class RepositoryNameIdPair
    extends Object
    implements Serializable, Cloneable

Information about a repository name and ID.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RepositoryNameIdPair()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RepositoryNameIdPair` `clone()`
`boolean` `equals(Object obj)`
`String` `getRepositoryId()` The ID associated with the repository.
`String` `getRepositoryName()` The name associated with the repository.
`int` `hashCode()`
`void` `setRepositoryId(String repositoryId)` The ID associated with the repository.
`void` `setRepositoryName(String repositoryName)` The name associated with the repository.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RepositoryNameIdPair` `withRepositoryId(String repositoryId)` The ID associated with the repository.
`RepositoryNameIdPair` `withRepositoryName(String repositoryName)` The name associated with the repository.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RepositoryNameIdPair

    public RepositoryNameIdPair()

### Method Detail

#### setRepositoryName

    public void setRepositoryName(String repositoryName)

The name associated with the repository.

Parameters:
  `repositoryName` - The name associated with the repository.

#### getRepositoryName

    public String getRepositoryName()

The name associated with the repository.

Returns:
  The name associated with the repository.

#### withRepositoryName

    public RepositoryNameIdPair withRepositoryName(String repositoryName)

The name associated with the repository.

Parameters:
  `repositoryName` - The name associated with the repository.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRepositoryId

    public void setRepositoryId(String repositoryId)

The ID associated with the repository.

Parameters:
  `repositoryId` - The ID associated with the repository.

#### getRepositoryId

    public String getRepositoryId()

The ID associated with the repository.

Returns:
  The ID associated with the repository.

#### withRepositoryId

    public RepositoryNameIdPair withRepositoryId(String repositoryId)

The ID associated with the repository.

Parameters:
  `repositoryId` - The ID associated with the repository.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RepositoryNameIdPair clone()

Overrides:
  `clone` in class `Object`